<template>
  <div>
    <h4 class="comment-meta">
      Ajouté le {{ createdDate }} par {{ authorName }}
    </h4>
    <div class="comment-body">
      <UserInitials
        class="fr-mr-1v"
        :user="comment.user_created"
      />
      <div class="comment-content">
        {{ comment.content }}
      </div>
    </div>
  </div>
</template>

<script setup>
  import { agentName, formatDate } from '~/utils'

  const props = defineProps({
    comment: { type: Object, required: true }
  })

  const createdDate = computed(() => formatDate(props.comment.date_created))

  const authorName = computed(() => agentName(props.comment.user_created))
</script>

<style lang="scss">
  @use '@gouvfr/dsfr/src/core/index' as dsfr;

  .comment-meta {
    @include dsfr.text-style(sm);

    color: var(--text-mention-grey);
    margin-bottom: 0.25rem;
  }

  .comment-body {
    display: flex;
  }

  .comment-content {
    padding: 0.5rem 0.75rem;
    border-radius: 0 0.5rem 0.5rem;
    background-color: var(--background-contrast-grey);
    word-break: break-word;
  }
</style>
